## org.hibernate.secure
Class JACCPreLoadEventListener

    java.lang.Object
      org.hibernate.secure.JACCPreLoadEventListener

All Implemented Interfaces:
  Serializable, Initializable, PreLoadEventListener, JACCSecurityListener

    public class JACCPreLoadEventListener

extends Object
implements PreLoadEventListener, Initializable, JACCSecurityListener

Check security before any load

Version:
  $Revision: 8702 $
Author:
  Kabir Khan
See Also:
  Serialized Form

Constructor Summary
`JACCPreLoadEventListener()`

Method Summary
`void` `initialize(Configuration cfg)`
`void` `onPreLoad(PreLoadEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JACCPreLoadEventListener

    public JACCPreLoadEventListener()

Method Detail

### onPreLoad

    public void onPreLoad(PreLoadEvent event)

  Specified by:
    `onPreLoad` in interface `PreLoadEventListener`

### initialize

    public void initialize(Configuration cfg)

  Specified by:
    `initialize` in interface `Initializable`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.